{
  config,
  lib,
  ...
}:
let
  cfg = config.machine.forgejo;
  customDir = config.services.forgejo.customDir;
in
with lib;
mkIf cfg.enable {
  systemd.tmpfiles.rules = [
    "d '${customDir}/templates' - forgejo forgejo - -"
    "d '${customDir}/public' - forgejo forgejo - -"
    "d '${customDir}/public/assets' - forgejo forgejo - -"
    "d '${customDir}/public/assets/css' - forgejo forgejo - -"
    "C+ '${customDir}/public/assets/css/theme-catppuccin-mocha.css' - forgejo forgejo - ${./themes/theme-catppuccin-mocha-lavender.css}"
  ];
}
